## org.beepcore.beep.profile.sasl
Class InvalidParameterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.beepcore.beep.core.BEEPException
                  org.beepcore.beep.profile.sasl.SASLException
                      org.beepcore.beep.profile.sasl.InvalidParameterException

All Implemented Interfaces:
  java.io.Serializable

public class InvalidParameterException
extends SASLException

This exception is thrown when a peer uses invalid parameters.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `MSG`
`static java.lang.String` `SEPARATOR`

Constructor Summary
`InvalidParameterException()`
`InvalidParameterException(java.lang.String msg)`

Methods inherited from class org.beepcore.beep.core.BEEPException
`getCause, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG

    public static final java.lang.String MSG

See Also:
  Constant Field Values

### SEPARATOR

    public static final java.lang.String SEPARATOR

See Also:
  Constant Field Values

Constructor Detail

### InvalidParameterException

    public InvalidParameterException()

### InvalidParameterException

    public InvalidParameterException(java.lang.String msg)

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.